require_dependency "skirental_payment/application_controller"

module SkirentalPayment
    class PaymentsController < AuthenticatedController
        def index
            payments = Payment.all

            render json: payments
        end

        def show
            payment = Payment.where(payment_reference: payment_params[:payment_reference]).first

            render json: payment
        end

        private

        # Will be called by derived classes
        def confirm_payment(payment_context)
            SkirentalApi::Client.confirm_booking(payment_context.booking)
        end

        def payment_params
            params.permit(:payment_reference)
        end
    end
end
